# Manual d'usuari del &kde;

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
10-09-2009
2.13 (&kde; 4.3.1)
Entorn d'escriptori K
ark
1

# `ark`

Eina d'arxivament de KDE

    ark -b -a -e -c -f  suffix -p -t  fitxer -d -o  directori Opcions genèriques de &kde; Opcions genèriques de &Qt;

## Descripció

&ark; es un programa de &kde; per a gestionar diversos formats de fitxer comprimits. Els arxius es poden visualitzar, extreure, crear i modificar amb &ark;. El programa pot manejar diversos formats, com tar, gzip, bzip2, zip i rar (sempre que estiguin instal·lats els programes o biblioteques corresponents).

## Modes d'operació

&ark; es pot utilitzar com una &IGU; independent o com un programa de la línia d'ordres per a realitzar algunes tasques específiques.

Si es crida sense les opcions «-b (--batch)» o «-c (-add)», &ark; s'inicia com un programa &IGU; normal.

Quan s'utilitza l'opció «-b (--batch)», &ark; es pot utilitzar per extreure el contingut d'un o més fitxers directament des de la línia d'ordres, sense llançar la seva &IGU;.

Quan s'utilitza l'opció «-c (-add)», &ark; demana pels fitxers que s'afegiran a un arxiu comprimit nou o ja existent.

## Opcions

`-d, --dialog`

  Mostra un diàleg per especificar les opcions d'una operació per lots o d'afegir.

`-o, --destination directori`

  Especifica el directori d'extracció per omissió. De no indicar-lo s'utilitzarà la ruta actual.

### Opcions per afegir fitxers

`-c, --add`

  Demana a l'usuari pel nom de fitxer de l'arxiu i hi afegeix els fitxers especificats. Surt quan finalitza.

`-t, --add-to nom_fitxer`

  Afegeix els fitxers especificats al nom_fitxer. Crea l'arxiu si no existeix. Surt quan finalitza.

`-p, --changetofirstpath`

  Canvia el directori actual a la primera entrada i afegeix totes les altres entrades relatives a aquesta.

`-f, --autofilename sufix`

  Selecciona automàticament un nom de fitxer, amb el sufix indicat (per exemple rar, tar.gz, zip o qualsevol altre tipus implementat).

### Opcions per a l'extracció per lots

`b, --batch`

  Utilitza la interfície per lots en lloc del diàleg habitual. Aquesta opció és implícita si s'indica més d'un URL.

`-e, --autodestination`

  L'argument de destí s'establirà com la ruta del primer dels fitxers subministrats.

`-a, --autosubfolder`

  Es llegirà el contingut de l'arxiu, i si es detecta que no és un arxiu d'una única carpeta, es crearà una subcarpeta amb el nom de l'arxiu.

## Exemples

``ark` `--batch` arxiu.tar.bz2`

  Extraurà arxiu.tar.bz2 en el directori actual sense mostrar cap &IGU;.

``ark` `-b` `-d` arxiu.tar.bz2 arxiu_2.zip`

  Primer mostrarà un diàleg amb opcions d'extracció i després extraurà arxiu.tar.bz2 i arxiu_2.zip en el directori escollit en el diàleg.

``ark` `--add-to` arxiu.zip foto_1.jpg text.txt`

  Crearà arxiu.zip si no existeix i després se li afegiran foto_1.jpg i text.txt.

## Autors

&ark; actualment és mantingut per &Harald.Hvaal; &Harald.Hvaal.mail; i &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Aquesta pàgina de manual fou escrita per &Lauri.Watts; &Lauri.Watts.mail; en 2005 per a &kde; 3.4 i fou modificada posteriorment en 2009 per &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.